<?php

////////////////////////////////////////
// Encodage du fichier : UTF-8
// Utilisation des tabulations : Oui
// 1 tabulation = 4 caractères
// Fins de lignes = LF (Unix)
////////////////////////////////////////

/**
 * Fichier de configuration d'Albulle.
 * Documentation : http://doc.jebulle.net/apps/albulle1.0/parametrage
 * Dernière modification : $modification
 */

if( !defined( '_JB_INCLUDE_AUTH' ) ) {
	header( 'Content-type: text/html; charset=utf-8' );
	exit( 'Vous n\'êtes pas autorisé à afficher cette page.' );
}

if( !defined('JB_AL_FERMER') )					define( 'JB_AL_FERMER',					$fermer );
if( !defined('JB_AL_MSG_FERMETURE') )			define( 'JB_AL_MSG_FERMETURE',			'$message_fermeture' );


// ================
// DOSSIERS ET FICHIER
//
// /!\ -> Chaque paramètre étant un dossier doit comporter un '/' à la fin !
//
define( 'JB_AL_DOSSIER_THEMES',															'$dossier_themes' );
if( !defined('JB_AL_DOSSIER_THEME_ACTIF') )		define( 'JB_AL_DOSSIER_THEME_ACTIF',	'$theme_actif' );

// Inclusion d'un éventuel fichier de configuration relatif au thème courant
if( file_exists(JB_AL_ROOT.JB_AL_DOSSIER_THEMES.JB_AL_DOSSIER_THEME_ACTIF.'config_thm.php') )
	require_once( JB_AL_DOSSIER_THEMES.JB_AL_DOSSIER_THEME_ACTIF.'config_thm.php' );

if( !defined('JB_AL_DOSSIER_DATA') )			define( 'JB_AL_DOSSIER_DATA',			'$dossier_data' );
if( !defined('JB_AL_DOSSIER_PHOTOS') )			define( 'JB_AL_DOSSIER_PHOTOS',			'$dossier_photos' );
if( !defined('JB_AL_DOSSIER_MINIATURES') )		define( 'JB_AL_DOSSIER_MINIATURES',		'$dossier_miniatures' );
if( !defined('JB_AL_DOSSIER_ORIGINALES') )		define( 'JB_AL_DOSSIER_ORIGINALES',		'$dossier_originales' );

if( !defined('JB_AL_FICHIER_ACCUEIL') )			define( 'JB_AL_FICHIER_ACCUEIL',		'$texte_accueil' );

// Indiquer si le système de fichier qui héberge votre copie d'Albulle est en Utf-8
if( !defined('JB_AL_FICHIERS_UTF8') )			define( 'JB_AL_FICHIERS_UTF8',			$fichiers_utf8 );


// ================
// TITRE ET SOUS-TITRE
//
if( !defined('JB_AL_AFFICHER_ENTETE') ) 		define( 'JB_AL_AFFICHER_ENTETE',		$afficher_entete );
if( !defined('JB_AL_TITRE_GALERIE') )			define( 'JB_AL_TITRE_GALERIE',			'$titre' );
if( !defined('JB_AL_SOUS_TITRE_GALERIE') )		define( 'JB_AL_SOUS_TITRE_GALERIE',		'$sous_titre' );


// ================
// DONNEES A AFFICHER
//

// Copyright
define( 'JB_AL_AFFICHER_VERSION', $afficher_version );

// Arborescence
if( !defined('JB_AL_AFFICHER_NB_PHOTOS') )		define( 'JB_AL_AFFICHER_NB_PHOTOS',		$afficher_nb_photos );
if( !defined('JB_AL_AFFICHER_NB_SI_VIDE') )		define( 'JB_AL_AFFICHER_NB_SI_VIDE',	$afficher_nb_si_vide );
if( !defined('JB_AL_DEROULER_TOUT') )			define( 'JB_AL_DEROULER_TOUT',          $derouler_tout );

// Vignettes
if( !defined('JB_AL_AFFICHER_NOMS') )			define( 'JB_AL_AFFICHER_NOMS',			$afficher_noms );
if( !defined('JB_AL_REMPLACER_TIRETS_BAS') )	define( 'JB_AL_REMPLACER_TIRETS_BAS',	$remplacer_tirets_bas );
if( !defined('JB_AL_AFFICHER_EXTENSION') )		define( 'JB_AL_AFFICHER_EXTENSION',		$afficher_extension );
if( !defined('JB_AL_AFFICHER_POIDS') )			define( 'JB_AL_AFFICHER_POIDS',			$afficher_poids );
if( !defined('JB_AL_AFFICHER_DIMENSIONS') )		define( 'JB_AL_AFFICHER_DIMENSIONS',	$afficher_dimensions );

// Rappel des sous-dossiers
if( !defined('JB_AL_RAPPELER_SOUS_DOSSIERS') )	define( 'JB_AL_RAPPELER_SOUS_DOSSIERS',	$rappeler_sous_dossiers );
if( !defined('JB_AL_RAPPELER_QUE_SI_VIDE') )	define( 'JB_AL_RAPPELER_QUE_SI_VIDE',	$rappeler_si_vide );

// Tri des dossiers et fichiers
if( !defined('JB_AL_FILTRE_PREFIXES_ACTIF') )	define( 'JB_AL_FILTRE_PREFIXES_ACTIF',	$filtre_prefixes_actif );
if( !defined('JB_AL_PREFIXES_SEPARATEUR') )		define( 'JB_AL_PREFIXES_SEPARATEUR',	'$prefixe_separateur' );


// ================
// MODES D'AFFICHAGE DES IMAGES
//

// Choix du mode d'affichage par défaut
if( !defined('JB_AL_MODE_DIAPO_DEFAUT') )		define( 'JB_AL_MODE_DIAPO_DEFAUT',		$mode_diapo_defaut );

// Pour le mode galerie
if( !defined('JB_AL_OUVERTURE_BLK') )			define( 'JB_AL_OUVERTURE_BLK',			$ouverture_blk );
if( !defined('JB_AL_OUVERTURE_JS') )			define( 'JB_AL_OUVERTURE_JS',			$ouverture_js );
if( !defined('JB_AL_OUVERTURE_LBX') )			define( 'JB_AL_OUVERTURE_LBX',			$ouverture_lbx );

// Pour le mode diaporama
if( !defined('JB_AL_OUVERTURE_BLK_DIAPO') )		define( 'JB_AL_OUVERTURE_BLK_DIAPO',	$ouverture_blk_diapo );
if( !defined('JB_AL_OUVERTURE_JS_DIAPO') )		define( 'JB_AL_OUVERTURE_JS_DIAPO',		$ouverture_js_diapo );
if( !defined('JB_AL_OUVERTURE_LBX_DIAPO') )		define( 'JB_AL_OUVERTURE_LBX_DIAPO',	$ouverture_lbx_diapo );

// Pour les deux modes
if( !defined('JB_AL_POPUP_LARGEUR') )			define( 'JB_AL_POPUP_LARGEUR',			$popup_largeur );
if( !defined('JB_AL_POPUP_HAUTEUR') )			define( 'JB_AL_POPUP_HAUTEUR',			$popup_hauteur );


// ================
// PARAMETRAGE DES VIGNETTES
//
if( !defined('JB_AL_VIGNETTES_PAR_PAGE') )		define( 'JB_AL_VIGNETTES_PAR_PAGE',		$vignettes_par_page );

// Vignettes du mode gallerie
if( !defined('JB_AL_VIGNETTES_LARGEUR') )		define( 'JB_AL_VIGNETTES_LARGEUR',		$vignettes_largeur );
if( !defined('JB_AL_VIGNETTES_HAUTEUR') )		define( 'JB_AL_VIGNETTES_HAUTEUR',		$vignettes_hauteur );

// Vignettes du mode diaporama
if( !defined('JB_AL_VIGNETTES_DP_LARGEUR') )	define( 'JB_AL_VIGNETTES_DP_LARGEUR', 	$vignettes_largeur_diapo );
if( !defined('JB_AL_VIGNETTES_DP_HAUTEUR') )	define( 'JB_AL_VIGNETTES_DP_HAUTEUR',	$vignettes_hauteur_diapo );

if( !defined('JB_AL_VIGNETTES_QUALITE') )		define( 'JB_AL_VIGNETTES_QUALITE',		$vignettes_qualite );

// ================
// PARAMETRAGE DU PANIER
//
if( !defined('JB_AL_PANIER_ACTIF') )			define( 'JB_AL_PANIER_ACTIF',			$panier_actif );
if( !defined('JB_AL_PANIER_CAPACITE_MAX') )		define( 'JB_AL_PANIER_CAPACITE_MAX',	$panier_capa_max );
if( !defined('JB_AL_PANIER_POIDS_MAX') )		define( 'JB_AL_PANIER_POIDS_MAX',		$panier_poids_max );
if( !defined('JB_AL_PANIER_NOM_ARCHIVE') )		define( 'JB_AL_PANIER_NOM_ARCHIVE',		'$panier_nom_archive' );

define( 'JB_AL_PANIER_NO_READFILE', $panier_no_readfile);


// ================
// AVANCE
//
if( !defined('JB_AL_INTEGRATION_SITE') )		define( 'JB_AL_INTEGRATION_SITE',		$integration_site );
if( !defined('JB_AL_SORTIE_ISO') )				define( 'JB_AL_SORTIE_ISO',				$sortie_iso );
if( !defined('JB_AL_CONSERVER_URL_HOTE') )		define( 'JB_AL_CONSERVER_URL_HOTE',		$conserver_url );

define( 'JB_AL_MODE_CENTRE',			$mode_centre );
define( 'JB_AL_DOSSIER_CENTRE',			'$dossier_centre' );
define( 'JB_AL_EXTENSION_FICHIERS',		'$extension_centre' );

if( !defined('JB_AL_HOME_HREF') )				define( 'JB_AL_HOME_HREF',				'$home_href' );
if( !defined('JB_AL_HOME_TEXTE') )				define( 'JB_AL_HOME_TEXTE',				'$home_texte' );

define( 'JB_AL_CHMOD_FICHIERS',			$chmod_fichiers );

/* EOC (End Of Configuration) ;-) */
?>
